/**
 * @description: 弹窗对外暴露的方法
 */
export interface ModalMethods {
  setProps: (props) => void;
  openModal: () => void;
  closeModal: () => void;
  setSubLoading: (status?) => void;
  emitVisible?: (visible: boolean, uid: number) => void;
}

/**
 * 支持修改，DialogOptions 參數
 */

export type RegisterFn = (modalMethods: ModalMethods, uuid?: string) => void;

export type UseModalReturnType = [RegisterFn, ModalMethods];
