const setting = {
  // side 左侧菜单 top 顶部菜单 mix 拆分菜单
  layout: 'side',

  //导航主题 light 亮色主题  dark 黑暗主题
  navTheme: 'dark',

  //标题栏的主题
  headerTheme: 'dark',

  //深色主题
  darkTheme: false,

  //顶部
  headerSetting: {
    //自定义折叠菜单按钮
    collapsed: true,
    //固定顶部
    fixed: true,
    //显示重载按钮
    reload: true,
    //高度
    height: 64,
    //是否显示
    show: true,
  },
  //主体
  bodySetting: {
    //固定顶部
    fixed: true,
    contentWidth: 'Fluid', // 'Fixed' | 'Fluid'
  },
  //多标签
  multiTabsSetting: {
    //是否显示
    show: true,
  },
  //菜单
  menuSetting: {
    //菜单标题
    title: '云恒WMS',
    //菜单宽度
    width: 220,
    // 折叠宽度 暂不支持修改
    minWidth: 48,
    //固定菜单
    fixed: true,
    //拆分菜单
    split: false,
    //菜单折叠
    collapsed: false,
    //是否显示
    show: true,
  },
  //面包屑
  crumbsSetting: {
    //是否显示
    show: true,
    //显示图标
    showIcon: true,
  },
  //菜单权限模式 ROLE 前端固定角色  BACK 动态获取
  permissionMode: 'BACK',
  //是否开启路由动画
  isPageAnimate: true,
  //路由动画类型 默认消退
  pageAnimateType: 'fade',
  //显示项目配置
  isProjectSetting: true,
  //显示水印
  isWaterMark: true,
};
export default setting;
