import { h } from 'vue';
import { Tag, Avatar } from 'ant-design-vue';

export const columns = [
  {
    title: 'ID',
    dataIndex: 'id',
    fixed: 'left',
    width: 50,
  },
  {
    title: '位置描述',
    dataIndex: 'description',
    width: 250,
    customRender({ record }) {
      return record.layoutDescription + '>>' + record.layoutLocation;
    },
  },
  {
    title: '推荐类型',
    dataIndex: 'typeText',
    width: 100,
  },
  {
    title: '推荐ID',
    dataIndex: 'typeId',
    width: 100,
  },
  // {
  //   title: '推荐图片',
  //   dataIndex: 'image',
  //   width: 100,
  //   customRender({ record }) {
  //     return h(Avatar, {
  //       size: 48,
  //       src: record.image,
  //       shape: 'square',
  //       fit: 'fill',
  //     });
  //   },
  // },
  {
    title: '推荐标题',
    dataIndex: 'typeTitle',
    width: 200,
  },
  {
    title: '排序',
    dataIndex: 'sort',
    width: 100,
  },
  {
    title: '创建人',
    dataIndex: 'createUser',
    width: 100,
  },
  {
    title: '创建时间',
    dataIndex: 'createTime',
    width: 180,
  },
  {
    title: '操作',
    fixed: 'right',
    dataIndex: 'action',
    key: 'action',
    width: 200,
  },
];
