import { FormSchema } from '@/components/Form/index';
export const schemas: FormSchema[] = [
  {
    name: 'title',
    component: 'Input',
    label: '模板名称',
    componentProps: {
      placeholder: '请输入模板名称',
    },
  },
  {
    name: 'type',
    component: 'Select',
    label: '邮件类型',
    componentProps: {
      placeholder: '请选择邮件类型',
      clearable: true,
      options: [
        {
          label: '普通邮件',
          value: '1',
        },
        {
          label: '图文邮件',
          value: '2',
        },
        {
          label: '模板文件',
          value: '3',
        },
      ],
    },
  },
];
