import { FormSchema } from '@/components/Form/index';
export const schemas: FormSchema[] = [
  {
    name: 'title',
    component: 'Input',
    label: '模板标题',
    componentProps: {
      placeholder: '请输入模板标题',
    },
  },
  {
    name: 'type',
    component: 'Select',
    label: '消息类型',
    componentProps: {
      placeholder: '请选择消息类型',
      clearable: true,
      options: [
        {
          label: '系统通知',
          value: 1,
        },
        {
          label: '用户私信',
          value: 2,
        },
        {
          label: '代办事项',
          value: 3,
        },
      ],
    },
  },
];
