import { FormSchema } from '@/components/Form/index';
export const schemas: FormSchema[] = [
  {
    name: 'title',
    component: 'Input',
    label: '模板名称',
    componentProps: {
      placeholder: '请输入模板名称',
    },
  },
  {
    name: 'type',
    component: 'Select',
    label: '模板类型',
    componentProps: {
      placeholder: '请选择模板类型',
      clearable: true,
      options: [
        {
          label: '阿里云',
          value: '1',
        },
        {
          label: '腾讯云',
          value: '2',
        },
        {
          label: '华为云',
          value: '3',
        },
      ],
    },
  },
];
