import { FormSchema } from '@/components/Form/index';
export const schemas: FormSchema[] = [
  {
    name: 'jobName',
    component: 'Input',
    label: '任务名称',
    componentProps: {
      placeholder: '请输入数据源名称',
    },
  },
  {
    name: 'status',
    component: 'Select',
    label: '任务状态',
    componentProps: {
      placeholder: '请选择任务状态',
      clearable: true,
      options: [
        {
          label: '正常',
          value: 0,
        },
        {
          label: '失败',
          value: 1,
        },
      ],
    },
  },
];
