import { FormSchema } from '@/components/Form/index';
export const schemas: FormSchema[] = [
  {
    name: 'jobName',
    component: 'Input',
    label: '任务名称',
    componentProps: {
      placeholder: '请输入任务名称',
    },
  },
  {
    name: 'status',
    component: 'Select',
    label: '任务状态',
    componentProps: {
      placeholder: '请选择任务状态',
      clearable: true,
      options: [
        {
          label: '未发布',
          value: 0,
        },
        {
          label: '运行中',
          value: 1,
        },
        {
          label: '暂停',
          value: 2,
        },
        {
          label: '删除',
          value: 3,
        },
      ],
    },
  },
];
