import { FormSchema } from '@/components/Form/index';
export const schemas: FormSchema[] = [
  {
    name: 'name',
    component: 'Input',
    label: '名称',
    componentProps: {
      placeholder: '请输入广告位名称',
    },
  },
  {
    name: 'type',
    component: 'Select',
    label: '类型',
    componentProps: {
      placeholder: '请选择广告位类型',
      clearable: true,
      options: [
        {
          label: '网站',
          value: '1',
        },
        {
          label: '手机站',
          value: '2',
        },
        {
          label: '移动端',
          value: '3',
        },
      ],
    },
  },
];
