import { FormSchema } from '@/components/Form/index';
export const schemas: FormSchema[] = [
  {
    name: 'title',
    component: 'Input',
    label: '文章标题',
    componentProps: {
      placeholder: '请输入文章标题',
    },
  },
  {
    name: 'status',
    component: 'Select',
    label: '文章状态',
    componentProps: {
      placeholder: '请选择文章状态',
      clearable: true,
      options: [
        {
          label: '下架',
          value: '1',
        },
        {
          label: '正常',
          value: '0',
        },
      ],
    },
  },
];
