import { h } from 'vue';

export const columns = [
  {
    title: 'ID',
    dataIndex: 'id',
    fixed: 'left',
    width: 50,
  },
  {
    title: '消息标题',
    dataIndex: 'title',
  },
  {
    title: '消息状态',
    dataIndex: 'status',
    customRender({ record }) {
      return h('span', record.status === 1 ? '已读' : '未读')
    },
  },
  {
    title: '创建人',
    dataIndex: 'createUser',
  },
  {
    title: '创建时间',
    dataIndex: 'createTime',
  },
  {
    title: '操作',
    fixed: 'right',
    dataIndex: 'action',
    key: 'action',
    width: 300,
  },
];
