import { FormSchema } from '@/components/Form/index';
export const schemas: FormSchema[] = [
  {
    name: 'title',
    component: 'Input',
    label: '消息标题',
    componentProps: {
      placeholder: '请输入消息标题',
    },
  },
  {
    name: 'type',
    component: 'Select',
    label: '消息类型',
    componentProps: {
      placeholder: '请选择消息类型',
      clearable: true,
      options: [
        {
          label: '系统通知',
          value: 1,
        },
        {
          label: '用户私信',
          value: 2,
        },
        {
          label: '代办事项',
          value: 3,
        },
      ],
    },
  },
  {
    name: 'bizType',
    component: 'Select',
    label: '业务类型',
    componentProps: {
      placeholder: '请选择业务类型',
      clearable: true,
      options: [
        {
          label: '订单',
          value: 1,
        },
        {
          label: '其他',
          value: 2,
        },
      ],
    },
  },
  {
    name: 'status',
    component: 'Select',
    label: '消息状态',
    componentProps: {
      placeholder: '请选择消息状态',
      clearable: true,
      options: [
        {
          label: '未读',
          value: 0,
        },
        {
          label: '已读',
          value: 1,
        },
      ],
    },
  },
];
