import { h } from 'vue';

export const columns = [
  {
    title: 'ID',
    dataIndex: 'id',
    fixed: 'left',
    width: 50,
  },
  {
    title: '模板名称',
    dataIndex: 'name',
    width: 150,
  },
  {
    title: '模板编码',
    dataIndex: 'code',
    width: 150,
  },
  {
    title: '文件名称',
    dataIndex: 'fileName',
    width: 150,
  },
  {
    title: '文件路径',
    dataIndex: 'filePath',
    width: 150,
    customRender({ record }) {
      return h(
        'a',
        {
          href: record.filePath,
          target: '_blank',
        },
        '点击查看文件',
      );
    },
  },
  {
    title: '创建人',
    dataIndex: 'createUser',
    width: 100,
  },
  {
    title: '创建时间',
    dataIndex: 'createTime',
    width: 180,
  },
  {
    title: '操作',
    fixed: 'right',
    dataIndex: 'action',
    key: 'action',
    width: 200,
  },
];
