import { FormSchema } from '@/components/Form/index';
export const schemas: FormSchema[] = [
  {
    name: 'title',
    component: 'Input',
    label: '短信标题',
    componentProps: {
      placeholder: '请输入短信标题',
    },
  },
  {
    name: 'receiveType',
    component: 'Select',
    label: '接收类型',
    componentProps: {
      placeholder: '请选择接收类型',
      clearable: true,
      options: [
        {
          label: '系统用户',
          value: '1',
        },
        {
          label: '会员用户',
          value: '2',
        },
        {
          label: '其他',
          value: '3',
        },
      ],
    },
  },
  {
    name: 'bizType',
    component: 'Select',
    label: '业务类型',
    componentProps: {
      placeholder: '请选择业务类型',
      clearable: true,
      options: [
        {
          label: '订单',
          value: '1',
        },
        {
          label: '其他',
          value: '2',
        },
      ],
    },
  },
  {
    name: 'status',
    component: 'Select',
    label: '状态',
    componentProps: {
      placeholder: '请选择状态',
      clearable: true,
      options: [
        {
          label: '已读',
          value: '1',
        },
        {
          label: '未读',
          value: '0',
        },
      ],
    },
  },
];
