import { FormSchema } from '@/components/Form/index';
export const schemas: FormSchema[] = [
  {
    name: 'title',
    component: 'Input',
    label: '日志标题',
    componentProps: {
      placeholder: '请输入日志标题',
    },
  },
  {
    name: 'status',
    component: 'Select',
    label: '请求状态',
    componentProps: {
      placeholder: '请选择状态',
      clearable: true,
      options: [
        {
          label: '正常',
          value: '0',
        },
        {
          label: '异常',
          value: '1',
        },
      ],
    },
  },
];
