import { FormSchema } from '@/components/Form/index';
export const schemas: FormSchema[] = [
  {
    name: 'name',
    component: 'Input',
    label: '岗位名称',
    componentProps: {
      placeholder: '请输入岗位名称',
    },
  },
  {
    name: 'status',
    component: 'Select',
    label: '状态',
    componentProps: {
      placeholder: '请选择状态',
      clearable: true,
      options: [
        {
          label: '正常',
          value: '1',
        },
        {
          label: '停用',
          value: '2',
        },
      ],
    },
  },
];
