import { h } from 'vue';
import { ElTag } from 'element-plus';

export const columns = [
  {
    title: '数据表名称',
    dataIndex: 'tableName',
    width: 150,
  },
  {
    title: '数据表描述',
    dataIndex: 'tableComment',
    width: 150,
  },
  {
    title: '数据表引擎',
    dataIndex: 'engine',
    width: 100,
  },
  {
    title: '数据表行数',
    dataIndex: 'tableRows',
    width: 100,
  },
  {
    title: '数据表长度',
    dataIndex: 'dataLength',
    width: 100,
  },
  {
    title: '数据表自增索引',
    dataIndex: 'autoIncrement',
    width: 100,
  },
  {
    title: '数据表编码',
    dataIndex: 'tableCollation',
    width: 150,
  },
  {
    title: '创建时间',
    dataIndex: 'createTime',
    width: 180,
  },
  {
    title: '操作',
    fixed: 'right',
    dataIndex: 'action',
    key: 'action',
    width: 130,
  },
];
